HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTestClocksTestClockAdvance

Contains the different functions to run the operation postTestHelpersTestClocksTestClockAdvance

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTestClocksTestClockAdvance.hs
valuepostTestHelpersTestClocksTestClockAdvance
  1. :: MonadHTTP m
  2. => Text

    test_clock | Constraints: Maximum length of 5000

  3. -> PostTestHelpersTestClocksTestClockAdvanceRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTestClocksTestClockAdvanceResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/test_clocks/{test_clock}/advance

<p>Starts advancing a test clock to a specified time in the future. Advancement is done when status changes to <code>Ready</code>.</p>

Defines the object schema located at paths./v1/test_helpers/test_clocks/{test_clock}/advance.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTestClocksTestClockAdvance.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTestClocksTestClockAdvanceResponseError is used.

Instances2Eq, Show